# Class StorageEntryWrapper

#### Hierarchy

- unknown
  - StorageEntryWrapper

- Defined in src/protobuf/pb_pb.d.ts:2049
- Defined in src/protobuf/pb_pb.d.ts:2070

#####
Index

### Constructors

constructor

### Methods

clearProtectedMailboxStorageEntry
clearProtectedStorageEntry
getMessageCase
getProtectedMailboxStorageEntry
getProtectedStorageEntry
hasProtectedMailboxStorageEntry
hasProtectedStorageEntry
serializeBinary
setProtectedMailboxStorageEntry
setProtectedStorageEntry
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new StorageEntryWrapper(): StorageEntryWrapper

- #### Returns StorageEntryWrapper

  Inherited from jspb.Message.constructor

## Methods

### clearProtectedMailboxStorageEntry

- clearProtectedMailboxStorageEntry(): StorageEntryWrapper

- #### Returns StorageEntryWrapper

  - Defined in src/protobuf/pb_pb.d.ts:2058

### clearProtectedStorageEntry

- clearProtectedStorageEntry(): StorageEntryWrapper

- #### Returns StorageEntryWrapper

  - Defined in src/protobuf/pb_pb.d.ts:2053

### getMessageCase

- getMessageCase(): StorageEntryWrapper.MessageCase

- #### Returns StorageEntryWrapper.MessageCase

  - Defined in src/protobuf/pb_pb.d.ts:2060

### getProtectedMailboxStorageEntry

- getProtectedMailboxStorageEntry(): undefined | ProtectedMailboxStorageEntry

- #### Returns undefined | ProtectedMailboxStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2055

### getProtectedStorageEntry

- getProtectedStorageEntry(): undefined | ProtectedStorageEntry

- #### Returns undefined | ProtectedStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:2050

### hasProtectedMailboxStorageEntry

- hasProtectedMailboxStorageEntry(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2057

### hasProtectedStorageEntry

- hasProtectedStorageEntry(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2052

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2062

### setProtectedMailboxStorageEntry

- setProtectedMailboxStorageEntry(value?: ProtectedMailboxStorageEntry): StorageEntryWrapper

- #### Parameters

  - ##### `Optional` value: ProtectedMailboxStorageEntry

  #### Returns StorageEntryWrapper

  - Defined in src/protobuf/pb_pb.d.ts:2056

### setProtectedStorageEntry

- setProtectedStorageEntry(value?: ProtectedStorageEntry): StorageEntryWrapper

- #### Parameters

  - ##### `Optional` value: ProtectedStorageEntry

  #### Returns StorageEntryWrapper

  - Defined in src/protobuf/pb_pb.d.ts:2051

### toObject

- toObject(includeInstance?: boolean): StorageEntryWrapper.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns StorageEntryWrapper.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2063

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): StorageEntryWrapper

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns StorageEntryWrapper

  - Defined in src/protobuf/pb_pb.d.ts:2066

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: StorageEntryWrapper, reader: BinaryReader): StorageEntryWrapper

- #### Parameters

  - ##### message: StorageEntryWrapper

  - ##### reader: BinaryReader

  #### Returns StorageEntryWrapper

  - Defined in src/protobuf/pb_pb.d.ts:2067

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: StorageEntryWrapper, writer: BinaryWriter): void

- #### Parameters

  - ##### message: StorageEntryWrapper

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2065

### `Static` toObject

- toObject(includeInstance: boolean, msg: StorageEntryWrapper): StorageEntryWrapper.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: StorageEntryWrapper

  #### Returns StorageEntryWrapper.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2064

Generated using TypeDoc